import pandas as pd
from exojax.test.data import TESTDATA_FILTER_SDSS_G
from exojax.test.data import get_testdata_filename

def mock_filter():
    """emulates filter data
    
    Notes: file and values can be regenerated by running test/generate_filter/generate_filter_sdss_g.py

    Returns:
        float: center wavenumber (cm-1)
        float: zero magnitude flux in the unit of erg/s/cm^2/cm-1
        array: wavenumber (cm-1)
        array: filter transmission (dimensionless, 0 to 1)

    """
    path = get_testdata_filename(TESTDATA_FILTER_SDSS_G)
    dat = pd.read_csv(path)
    nu0 = 21258.71108019469
    f0 = 1.20623691665283e-09
    
    return nu0, f0, dat["nu"].values, dat["transmission"].values

if __name__ == "__main__":
    nu0, f0, nu_ref, transmission_ref = mock_filter()
    print(nu0, f0, nu_ref, transmission_ref)
    